## fretboard 9.1

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Fretboard. One of "default" or "development".'
)
option(
  'sandboxed',
  type : 'boolean',
  value : false,
  description: 'Whether the build happens in a sandbox.' +
               'When that is the case, cargo will not be able to download the dependencies during' +
               'the build so they are assumed to be in meson.project_source_root()/cargo'
)

=== debian/changelog ===
fretboard (9.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:43:38 -0400

fretboard (9.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1104179)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 15:35:47 -0400

=== debian/control ===
Source: fretboard
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 appstream <!nocheck>,
 blueprint-compiler,
 desktop-file-utils,
 libadwaita-1-dev (>= 1.5),
 libglib2.0-dev (>= 2.76),
 meson,
 dh-cargo,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gtk4-0.9+blueprint-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+v4-16-dev,
 librust-gvdb-macros-0.1+default-dev (>= 0.1.12-~~),
# librust-i18n-format-0.2+default-dev,
 librust-itertools-0.13+default-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-7-dev,
 librust-once-cell-1+default-dev (>= 1.18.0-~~),
 librust-rayon-1+default-dev (>= 1.7.0-~~),
 librust-serde-1+default-dev (>= 1.0.164-~~),
 librust-serde-1+derive-dev (>= 1.0.164-~~),
 librust-serde-json-1+default-dev (>= 1.0.99-~~)
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Fretboard/
Vcs-Browser: https://salsa.debian.org/gnome-team/fretboard
Vcs-Git: https://salsa.debian.org/gnome-team/fretboard.git

Package: fretboard
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Guitar chord lookup app for GNOME
 Fretboard lets you find guitar chords by typing their names
 or by plotting them on an interactive guitar neck. When you
 have identified a chord, you can experiment with changing it,
 see more ways to play it, or bookmark it to save it for later.
 .
 Fretboard is a GNOME Circle app.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE
export DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf debian/cargo_registry

override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
		-Dhost_arch="$(DEB_HOST_RUST_TYPE)"

override_dh_auto_install:
	$(if $(findstring armhf,$(DEB_HOST_ARCH)), DEB_BUILD_OPTIONS="parallel=4 $(filter-out parallel=%,$(DEB_BUILD_OPTIONS))") dh_auto_install

# Generate (Static-)Built-Using
# Symlink the installed binary to target/$(DEB_HOST_RUST_TYPE)/release
# since dh-cargo-built-using expects it there
execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/release
	ln -s $(CURDIR)/debian/usr/bin/fretboard target/$(DEB_HOST_RUST_TYPE)/release/fretboard
	/usr/share/cargo/bin/dh-cargo-built-using fretboard

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/ \
https://api.github.com/repos/bragefuglseth/@PACKAGE@/tags?per_page=100 \
https://api.github.com/repos/bragefuglseth/@PACKAGE@/tarball/refs/tags/@ANY_VERSION@
